<template>
  <div class="block-content">
    <div class="contact-info">
      <h2>Contact</h2>
      <p>
        Do you have a problem? Please tell us what bother you, send a mail whit the
        contact form. <br/>
        We will be pleased to respond at every your question, or resolve your problems.
      </p>
    </div>
    <div>
      <form id="contact-form">
        <div class="form-content">
          <input type="email" class="form-value" placeholder="E-mail"/>
        </div>
        <div class="form-content">
          <input type="text" class="form-value" placeholder="Subject"/>
        </div>
        <div class="form-content">
          <textarea class="form-value" id="text" placeholder="Text"></textarea>
        </div>
        <div class="form-content">
          <input type="button" value="Submit" class="form-button" />
        </div>
      </form>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'Contact',
  props: {
    user: Object,
  },
  methods: {
    submit() {
      axios.post('http://localhost:4000/send-email', {
        to: this.recipient.email,
        subject: 'Contact from application tracking parcels',
        message: `Thanks for your message we will respond 
                  as soon as possible 
                  best regards,
                  Support team ;)`,
      })
        .then((response) => { console.log(response); })
        .catch((e) => {
          console.log(e);
        });
    },
  },
};
</script>

<style scoped>
@import "../CSS/Contact.css";
</style>
